version: '3.7'

services:
  frontend-dev:
    container_name: hello_world_client
    build:
      context: ./frontend
      dockerfile: Dockerfile
    tty: true
    volumes:
      - "./frontend:/app:z"
    ports:
      - 3000:3000
    environment:
      - CHOKIDAR_USEPOLLING=true
  backend-dev:
    container_name: backend_bt
    build: 
      context: ./backend
      dockerfile: Dockerfile
    tty: true
    volumes:
      - ./backend/src:/app/
    ports:
      - 5000:5000
    environment:
      DEBUG: "yes"
      PORT: 5000
      HOST: "0.0.0.0"
